# Task 6 - Router

_Created:_ **Matěj Tab**, **Tomáš Svrček**

#### Task 6.0

Your task for this lesson is to work with React Router and some more advanced concepts of React with the help of Material UI.

1. Complete the `Router` and the `Toolbar` in your  `App` component. Then you should be able to navigate between pages.
1. Next complete all `onChange` callbacks in `Login` component that handle changes in text inputs.
1. Complete submit button in `Login` component. It should call provided authorize callback and set the `error` state based on it's return value. A `Wrong credentials` message should appear if you provide wrong values.
1. Customize default Material UI colors with your own (you can use material design's [color tool](https://material.io/resources/color)).
1. Fix the array key error in `Board` component.

#### Conditions & Points

-   **0.5pt** for router
-   **0.25pt** for toolbar
-   **0.25pt** for input onChange
-   **0.25pt** for submit button
-   **0.5pt** for theme
-   **0.25pt** for final task

#### Hints

- There are no tasks ouside `App` and `Login` components (plus one minor one in `Board`).
- Each of the pages should have a corresponding route (e.g. `About` should be on `/about` etc.).
- `NotFound` page should be a fallback for when no according route is found.
- `Home` should be on `/` route.
- Not logged in user should see only login and home links.
- You should add props to `Login` component as suggested in todo comment of router task.
- You can pick any colors or other constants to override MUI theme with, most important is to correctly use the theme provider and createMuiTheme.